/* 
 * @Program that Deletes Two Attributes
 * DeletingAttributes.java 
 * Author:-RoseIndia Team
 * Date:-10-Jun-2008
 */

import java.io.*;
import javax.xml.parsers.*;
import org.w3c.dom.*;

public class DeletingAttributes {

    public static void main(String[] args) throws Exception {
        boolean validating = false;
        DocumentBuilderFactory factory = DocumentBuilderFactory.newInstance();
        factory.setValidating(validating);

        Document doc = factory.newDocumentBuilder().parse(new File("Document3.xml"));
        new DeletingAttributes().delete(doc);
    }

    public void delete(Document doc) {
        Element root = doc.getDocumentElement();
        System.out.println("Name of the root is: " + root.getNodeName());
        // Retrieves an attribute value by name.
        String s = root.getAttribute("Type");
        String s1 = root.getAttribute("Id");
        System.out.println("Attributes before deleting are: " + s + "\t" + s1);
        root.removeAttribute("Type");
        root.removeAttribute("Id");
        // Removes an attribute by name
        String n = root.getAttribute("Type");
        String n1 = root.getAttribute("Id");
        System.out.println("Attributes after deleting are: " + n + "\t" + n1);

    }
}
